Disbursement Result Notification
- Endpoint:
POST /disbursementResultNotifyUrl - Tags: Indonesia SNAP/Disbursement
Description
You do not need to request this url. The following request.body is the callback content from PayerMax regarding the order status. Upon receiving a callback for any order status, you must respond with: {"msg": "Success","code": "SUCCESS"}. This response only acknowledges that the callback has been received.
Parameters
| Field | In | Type | Required | Constraints | Description |
|---|---|---|---|---|---|
Content-Type | header | string | Yes | Media type of the resource. | |
X-TIMESTAMP | header | string | Yes | Transaction date time, in format yyyy-MM-dd'T'HH:mm:ss.SSSXXX | |
X-SIGNATURE | header | string | Yes | Signature need to be verified | |
X-PARTNER-ID | header | string | Yes | Unique identifier for partner was generated by payermax, or known as clientId | |
X-EXTERNAL-ID | header | string | Yes | Unique messaging reference identifier and should be unique within the same day |
Parameter Examples
Content-Type:"application/json"X-TIMESTAMP:""X-SIGNATURE:""X-PARTNER-ID:""X-EXTERNAL-ID:""
Request Body
Required
Content-Type: application/json
| Field | Type | Required | Constraints | Description | Enum |
|---|---|---|---|---|---|
responseCode | string | Yes | Callback notification code, APPLY_SUCCESS means this is a valid callback. | ||
responseMessage | string | Yes | Callback notification description:Successful | ||
originalPartnerReferenceNo | string | Yes | maxLength: 64 | Merchant Order Id. | |
originalReferenceNo | string | Yes | maxLength: 64 | PayerMax transaction serial Order Number. | |
transactionDate | string | Yes | Transaction creation time, conforming to rfc3339 specification, format: "yyyy-MM-dd'T'HH:mm:ss Z". | ||
latestTransactionStatus | string | Yes | maxLength: 2 | Transaction status: 00 - Success, 03 - Pending, 04 - Bounced Back, 06 - Failed. | |
amount | object | Yes | |||
amount.value | string | Yes | maxLength: 12 | The trade amount input by the merchant in the request. | |
amount.currency | string | Yes | maxLength: 3 | The currency code of trade input by the merchant in the request. | |
additionalInfo | object | Yes | |||
additionalInfo.destination | object | Yes | Payee Information (User). | ||
additionalInfo.destination.amount | string | Yes | maxLength: 12 | Payee - Amount to account. | |
additionalInfo.destination.currency | string | Yes | maxLength: 3 | Payee - Receiving Currency. | |
additionalInfo.destination.exchangeRate | string | No | The exchange rate for converting the trade currency to the deduction currency. | ||
additionalInfo.destination.fee | string | No | maxLength: 12 | Payee - handling fee. | |
additionalInfo.destination.feeCurrency | string | No | maxLength: 3 | Payee - handing fee currency. | |
additionalInfo.destination.tax | string | No | maxLength: 12 | Payee - Tax fee. | |
additionalInfo.destination.taxCurrency | string | No | maxLength: 3 | Payee - Tax fee currency. | |
additionalInfo.source | object | No | Disbursement Information (Merchant). | ||
additionalInfo.source.amount | string | Yes | maxLength: 12 | Payer - Deduction Amount. | |
additionalInfo.source.currency | string | Yes | maxLength: 3 | Payer - Deduction Currency. | |
additionalInfo.source.exchangeRate | string | No | The exchange rate for converting the trade currency to the source currency. | ||
additionalInfo.source.fee | string | No | maxLength: 12 | Payer - handling fee. | |
additionalInfo.source.feeCurrency | string | No | maxLength: 3 | Payer - handing fee currency. | |
additionalInfo.source.tax | string | No | maxLength: 12 | Payer - Tax fee. | |
additionalInfo.source.taxCurrency | string | No | maxLength: 3 | Payer - Tax fee Currency. | |
additionalInfo.payFinishTime | string | No | Transaction completion time, in line with rfc3339 specification, format: "yyyy-MM-dd'T'HH:mm:ss Z". | ||
additionalInfo.fundsFreezeTime | string | No | Fund deduct time, conforms to rfc3339 specification, format: "yyyy-MM-dd'T'HH:mm:ss Z". | ||
additionalInfo.fundsReturnTime | string | No | Fund return time, conforms to rfc3339 specification, format: "yyyy-MM-dd'T'HH:mm:ss Z". | ||
additionalInfo.bounceBackTime | string | No | Order bounced back time, in line with rfc3339 specification, format: "yyyy-MM-dd'T'HH:mm:ss Z". | ||
additionalInfo.additionalIdentifier | object | No | Additional transaction information, this field will be returned only after the withdrawal callback is upgraded to version 3.0 or above. If necessary, you can contact PayerMax technical support for adjustments. | ||
additionalInfo.additionalIdentifier.referenceId | string | No | The transaction order number of the receiving bank/institution (based on historical experience, currently only the order number returned by BankTransfer in Saudi Arabia can be used as a voucher to confirm with the receiving bank whether the account has been received. The transaction order number format is such as: 20240418SAARNBARNB1B44410558522170) | ||
additionalInfo.notifyPhone | string | No | maxLength: 32 | Payee notification phone number. | |
additionalInfo.reference | string | No | A pass-through parameter, which will be returned the same in the notification callback API. This field is primarily to hold customized data from merchant. | ||
additionalInfo.notifyEmail | string | No | maxLength: 64 | Payee notification email address. | |
additionalInfo.originalResponseCode | string | No | Order result code. | ||
additionalInfo.originalResponseMessage | string | No | Order result code description. |
Example
json
{
"amount": {
"value": "100.00",
"currency": "IDR"
},
"originalReferenceNo": "20260826081843TD5127715935000013B11",
"latestTransactionStatus": "06",
"additionalInfo": {
"destination": {
"amount": "0.00",
"currency": "IDR"
},
"source": {
"amount": "0.00",
"currency": "USD"
},
"originalResponseCode": "5003800",
"originalResponseMsg": "Payment failed"
},
"originalPartnerReferenceNo": "20260826161842732117990",
"transactionDate": "2026-08-26T08:18:43 +0000",
"responseCode": "APPLY_SUCCESS",
"responseMsg": "Successful"
}Responses
200
| Field | Type | Required | Constraints | Description | Enum |
|---|---|---|---|---|---|
msg | string | Yes | Response message. | ||
code | string | Yes | Response code. |
Response Example
json
{
"msg": "Success",
"code": "SUCCESS"
}